VnSensor Struct Reference

Helpful structure for working with VectorNav sensors. More...

`#include <sensors.h>`

## Data Fields

VnSerialPort | serialPort
VnErrorDetectionMode | sendErrorDetectionMode
uint16_t | responseTimeoutMs
uint16_t | retransmitDelayMs
VnCriticalSection | transactionCS
VnEvent | newResponsesEvent
bool | waitingForResponse
bool | responseWaitingForProcessing
size_t | runningDataIndex
VnUartPacketFinder | packetFinder
VnSensor_PacketFoundHandler | asyncPacketFoundHandler
void * | asyncPacketFoundHandlerUserData
VnSensor_PacketFoundHandler | errorMessageReceivedHandler
void * | errorMessageReceivedHandlerUserData
size_t | responseLength
char | response [0x100]

## Detailed Description

Helpful structure for working with VectorNav sensors.

Examples:
  sensor/main.c.

The documentation for this struct was generated from the following file:

- sensors.h